#include <stdio.h>
#include <stdlib.h>

#include "Quicksort.h"
#include "Heapsort.h"
#include "HeapsortG4G.h"
#include "Timsort.h"

int main(int argc, char *argv[])
{
    int sortingAlgorithmIndex;
	int array[10] = {5, 8, 1, 2, 7, 3, 6, 9, 4, 10};
	for(int i = 0; i < 10; i++)
	{
		printf("%d ", array[i]);
	}
	printf("\nQual sort usar?\n1 - Quicksort\n");
    printf("2 - Heapsort iterativo\n3 - Heapsort recursivo\n");
    printf("4 - Timsort\n");
    scanf("%d", &sortingAlgorithmIndex);
    switch(sortingAlgorithmIndex)
    {
        case 1:
            quicksort(array, 0, 10);
            break;
        //Heapsort de chernobyl
        case 2:
            heapsort(array, 10);
            break;
        case 3:
            heapSort(array, 10);
            break;
        case 4:
            timSort(array, 10);
            break;
        default:
            printf("Invalid Sorting Option!\n");
            exit(EXIT_FAILURE);
    }

	for(int i = 0; i < 10; i++)
	{
		printf("%d ", array[i]);
	}
    printf("\n");
	return 0;
}
